*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
    font-weight: 400;
    margin: 0;
    padding: 0;
    font-family: "Inter", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow-x: hidden;
    color: #1F2B3D;
}

img {
    max-width: 100%;
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
    margin: 0;
    padding: 0;
    font-weight: 900;
}

.bg-yellow {
    background-color: #F8C435;
}

.bg-red {
    background-color: #E93635;
}

.bg-pink {
    background-color: #e97ce9;
}

.bg-darksgrey {
    background-color: #2B517E;
}

.bg-black {
    background-color: #333333;
}

.bg-orange {
    background-color: #ed802e;
}

.bg-skyblue {
    background-color: #00a3c6;
}

.bg-violet {
    background-color: #A977EC;
}

.bg-purple {
    background-color: #a976ec;
}

.bg-green {
    background-color: #8BD565;
}

.bg-dark-blue {
    background-color: #2c517e;
}

.seating-arrange__wrap {
    /* overflow: hidden; */
    position: relative;
    min-width: 540px;
    height: 333px;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    gap: 20px;
    align-items: flex-start;
    justify-content: center;
}

.seating-arrange {
    width: 600px;
    margin: 0 auto;
    display: flex;
    padding: 30px 30px 0;
    justify-content: center;
    flex-wrap: wrap;
    position: relative;
    margin-bottom: 0;
}

.stage-main {
    width: 70%;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 0%);
    clip-path: polygon(32% 0%, 68% 0%, 100% 100%, 0% 100%);
    background-color: #000;
    height: 105px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.stage-main h3 {
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
    padding: 0;
    margin: 0;
    font-size: 26px;
}

.seating-col {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 92px;
    margin-bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 0;
    flex-direction: column;
}

.seating-col input {
    padding: 0;
    margin: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 11;
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    cursor: pointer;
    opacity: 0;
}

.seating-col input:checked+span:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(63, 236, 9, 0.7);
}

.stage-company-info {
    text-align: center;
    display: flex;
    width: 100%;
    padding-top: 25px;
    border-top: 2px solid #000;
    flex-direction: column;
    gap: 12px;
}

.stage-company-info p {
    font-size: 14px;
    margin: 0;
}

.stage-company-info img {
    max-width: 200px;
}

.secodary-stage-view .seating-col h5 {
    padding: 0;
    font-size: 11px;
    font-weight: 700;
    text-transform: uppercase;
    color: #000;
    margin: 0 0 3px;
    position: relative;
}

.seat-info {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90%;
    margin: 0 auto;
    gap: 3%;
}

.seat-info h3 {
    width: 16px;
    height: 16px;
    background: #fff;
    border-radius: 50px;
    font-size: 11px;
    text-transform: uppercase;
    color: #000;
    display: flex;
    font-weight: 700;
    align-items: center;
    justify-content: center;
}

.seat-info h4 {
    padding: 0 5px;
    height: 16px;
    background: #fff;
    border-radius: 5px;
    font-size: 11px;
    text-transform: uppercase;
    color: #000;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
}

.seating-row-one {
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: calc(30% - 16px);
}

.seating-row-center {
    width: calc(60% - 5px);
    clip-path: polygon(0 0, 100% 0, 74% 100%, 26% 100%);
}

.seating-row-right {
    width: calc(37% - 5px);
    clip-path: polygon(0 0, 100% 0, 85% 100%, 15% 100%);
    position: absolute;
    right: -21px;
    top: 54px;
    transform: rotate(27deg) skewY(13deg);
}

.seating-row-left {
    width: calc(37% - 5px);
    clip-path: polygon(0 0, 100% 0, 85% 100%, 15% 100%);
    position: absolute;
    left: -21px;
    top: 54px;
    transform: rotate(-27deg) skewY(-13deg);
}

.seating-row-right .seating-col {
    height: 72px;
}

.seating-row-left .seating-col:first-child {
    height: 92px;
}

.seating-row-left .seating-col:last-child {
    height: 128px;
}

.seating-col--vip {
    height: 62px;
    padding-top: 25px;
    padding-bottom: 0;
}

.seating-col--vip .seat-info {
    bottom: unset;
    gap: 6%;
    top: 8px;
}

.seating-col--vip .seat-info h4 {
    height: 18px;
    font-size: 11px;
}

.side-numbering {
    position: absolute;
    top: 0;
}

.left-side-numbering {
    left: -8px;
    transform: rotate(-35deg);
    top: 119px;
}

.right-side-numbering {
    right: -8px;
    transform: rotate(35deg);
    top: 119px;
}

.center-left-side-numbering {
    left: 50%;
    transform: rotate(-20deg) translate(-50%, 0);
    top: -6px;
    margin-left: -121px;
}

.side-numbering.center-right-side-numbering ul,
.side-numbering.center-left-side-numbering ul {
    gap: 3.5px;
}

.center-right-side-numbering {
    left: 50%;
    transform: rotate(20deg) translate(-50%, 0);
    top: 2px;
    margin-left: 118px;
}

.side-numbering ul {
    margin: 0;
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0;
    gap: 3px;
}

.side-numbering ul li {
    font-size: 8px;
    width: 20px;
    height: 8px;
    border-top: 1px solid #c9c9c9;
    border-bottom: 1px solid #c9c9c9;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
}

.seating-row-center .seating-col:first-child {
    height: 25px;
}

.seating-row-center .seating-col:nth-child(2) {
    height: 45px;
}

.seating-row-center .seating-col:nth-child(3) {
    height: 65px;
}

.seating-row-center .seating-col:nth-child(4),
.seating-row-center .seating-col:last-child {
    height: 30px;
}

.seating-col-oneline {
    flex-direction: row;
        gap: 3%;
}

.seating-col-oneline .seat-info {
    width: max-content;
    margin: 0;
}

.seating-col-oneline.seating-col h5 {
    margin: 0 !important;
}

@media(min-width:767px) {
    .stage-company-info {
        flex-direction: row;
        justify-content: space-between;
        text-align: left;
        padding: 25px 5% 0;
    }
}

@media(min-width: 1200px) {
    .stage-company-info {
        display: flex;
        align-items: center;
        text-align: left;
        justify-content: space-between;
    }
}





@media(max-width:767px) {
    .secodary-stage-view .seating-col h5 {
        font-size: 13px;
        line-height: 14px;
    }

    .seating-arrange {
        width: 100%;
        padding: 0;
        height: 280px;
    }

    .seating-arrange__wrap {
        transform: scale(0.5);
    }

}